package org.simantics.objmap;

/**
 * A generic function object that throws MappingExceptions.
 * 
 * @author Hannu Niemist
 *
 * @param <D> Domain of the function
 * @param <R> Range of the function
 */
public interface IFunction<D, R> {
	R get(D element) throws MappingException;
}
