package org.simantics.objmap;

import org.simantics.db.exception.DatabaseException;

/**
 * An exception thrown for any error during mapping methods.
 * @author Hannu Niemist
 */
public class MappingException extends DatabaseException {

	private static final long serialVersionUID = -4026122899414272427L;

	public MappingException() {
		super();
	}

	public MappingException(String message, Throwable cause) {
		super(message, cause);
	}

	public MappingException(String message) {
		super(message);
	}

	public MappingException(Throwable cause) {
		super(cause);
	}
	
}
