package org.simantics.objmap.annotations.meta;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.simantics.objmap.rules.factory.IFieldRuleFactory;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.ANNOTATION_TYPE) 
public @interface HasFieldRuleFactory {
    Class<? extends IFieldRuleFactory> value();
}
