package org.simantics.objmap.annotations.meta;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.simantics.objmap.rules.factory.IMethodRuleFactory;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.ANNOTATION_TYPE) 
public @interface HasMethodRuleFactory {
    Class<? extends IMethodRuleFactory> value();
}
