package org.simantics.objmap.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.simantics.objmap.annotations.factories.RelatedElementRuleFactory;
import org.simantics.objmap.annotations.meta.HasFieldRuleFactory;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@HasFieldRuleFactory(RelatedElementRuleFactory.class)
public @interface RelatedElement {
	String value();
}
