package org.simantics.objmap.rules.range;

import org.simantics.objmap.MappingException;

/**
 * Provides access to some property of range elements.
 * @author Hannu Niemist
 */
public interface IRangeAccessor<T> {
	T get(Object element) throws MappingException;
	boolean set(Object element, T value) throws MappingException;
}
